> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Segment

> Updates an existing player segment and its associated definition(s) and action(s) for a title.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidSegment | 1242 |
| NameNotAvailable | 1058 |
| ProductDisabledForTitle | 1609 |
| SegmentManagementInvalidInput | 10005 |
| SegmentManagementInvalidSegmentId | 10004 |
| SegmentManagementInvalidSegmentName | 10006 |
| SegmentManagementNoExpressionTree | 10001 |
| SegmentManagementSegmentCountOverLimit | 10003 |
| SegmentManagementTriggerActionCountOverLimit | 10002 |
| UnknownError | 1039 |
| UpdateSegmentRateLimitExceeded | 10009 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/UpdateSegment
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/UpdateSegment:
    post:
      tags:
        - Segments
      summary: Update Segment
      description: >
        Updates an existing player segment and its associated definition(s) and
        action(s) for a title.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | InvalidSegment | 1242 |

        | NameNotAvailable | 1058 |

        | ProductDisabledForTitle | 1609 |

        | SegmentManagementInvalidInput | 10005 |

        | SegmentManagementInvalidSegmentId | 10004 |

        | SegmentManagementInvalidSegmentName | 10006 |

        | SegmentManagementNoExpressionTree | 10001 |

        | SegmentManagementSegmentCountOverLimit | 10003 |

        | SegmentManagementTriggerActionCountOverLimit | 10002 |

        | UnknownError | 1039 |

        | UpdateSegmentRateLimitExceeded | 10009 |
      operationId: UpdateSegment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSegmentRequest'
        description: Update segment properties data which are planning to update
      responses:
        '200':
          $ref: '#/components/responses/UpdateSegmentResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    UpdateSegmentRequest:
      description: Update segment properties data which are planning to update
      type: object
      properties:
        SegmentModel:
          allOf:
            - $ref: '#/components/schemas/SegmentModel'
          description: Segment model with all of the segment properties data.
      required:
        - SegmentModel
      example:
        SegmentModel:
          SegmentId: B05FC8CB558A6570
          Name: My user segment
          SegmentOrDefinitions:
            - SegmentAndDefinitions:
                - AllPlayersFilter: {}
          EnteredSegmentActions:
            - BanPlayerAction:
                BanHours: 2
                ReasonForBan: Not played for a year
          LeftSegmentActions:
            - ExecuteAzureFunctionAction:
                AzureFunction: AzureFunction1
                FunctionParameter: '{"InputParam": "1"}'
    SegmentModel:
      type: object
      properties:
        Description:
          description: Segment description.
          type: string
        EnteredSegmentActions:
          description: Segment actions for current entered segment players.
          type: array
          items:
            $ref: '#/components/schemas/SegmentTrigger'
          x-isclass: true
        LastUpdateTime:
          description: Segment last updated date time.
          type: string
        LeftSegmentActions:
          description: Segment actions for current left segment players.
          type: array
          items:
            $ref: '#/components/schemas/SegmentTrigger'
          x-isclass: true
        Name:
          description: Segment name.
          type: string
        SegmentId:
          description: Segment id in hex.
          type: string
        SegmentOrDefinitions:
          description: >-
            Segment or definitions. This includes segment and definitions and
            filters.
          type: array
          items:
            $ref: '#/components/schemas/SegmentOrDefinition'
          x-isclass: true
      required:
        - LastUpdateTime
    UpdateSegmentResponse:
      type: object
      properties:
        ErrorMessage:
          description: Error message.
          type: string
        SegmentId:
          description: Segment id.
          type: string
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    SegmentTrigger:
      type: object
      properties:
        AddInventoryItemsV2Action:
          allOf:
            - $ref: '#/components/schemas/AddInventoryItemsV2SegmentAction'
          description: Add inventory item v2 segment trigger action.
        BanPlayerAction:
          allOf:
            - $ref: '#/components/schemas/BanPlayerSegmentAction'
          description: Ban player segment trigger action.
        DeleteInventoryItemsV2Action:
          allOf:
            - $ref: '#/components/schemas/DeleteInventoryItemsV2SegmentAction'
          description: Delete inventory item v2 segment trigger action.
        DeletePlayerAction:
          allOf:
            - $ref: '#/components/schemas/DeletePlayerSegmentAction'
          description: Delete player segment trigger action.
        DeletePlayerStatisticAction:
          allOf:
            - $ref: '#/components/schemas/DeletePlayerStatisticSegmentAction'
          description: Delete player statistic segment trigger action.
        EmailNotificationAction:
          allOf:
            - $ref: '#/components/schemas/EmailNotificationSegmentAction'
          description: Email notification segment trigger action.
        ExecuteAzureFunctionAction:
          allOf:
            - $ref: '#/components/schemas/ExecuteAzureFunctionSegmentAction'
          description: Execute azure function segment trigger action.
        ExecuteCloudScriptAction:
          allOf:
            - $ref: '#/components/schemas/ExecuteCloudScriptSegmentAction'
          description: Execute cloud script segment trigger action.
        GrantItemAction:
          allOf:
            - $ref: '#/components/schemas/GrantItemSegmentAction'
          description: Grant item segment trigger action.
        GrantVirtualCurrencyAction:
          allOf:
            - $ref: '#/components/schemas/GrantVirtualCurrencySegmentAction'
          description: Grant virtual currency segment trigger action.
        IncrementPlayerStatisticAction:
          allOf:
            - $ref: '#/components/schemas/IncrementPlayerStatisticSegmentAction'
          description: Increment player statistic segment trigger action.
        PushNotificationAction:
          allOf:
            - $ref: '#/components/schemas/PushNotificationSegmentAction'
          description: Push notification segment trigger action.
        SubtractInventoryItemsV2Action:
          allOf:
            - $ref: '#/components/schemas/SubtractInventoryItemsV2SegmentAction'
          description: Subtract inventory item v2 segment trigger action.
    SegmentOrDefinition:
      type: object
      properties:
        SegmentAndDefinitions:
          description: List of segment and definitions.
          type: array
          items:
            $ref: '#/components/schemas/SegmentAndDefinition'
          x-isclass: true
    AddInventoryItemsV2SegmentAction:
      type: object
      properties:
        Amount:
          description: Amount of the item to be granted to a player
          type: number
          x-actualtype: int32
        CollectionId:
          description: >-
            The collection id for where the item will be granted in the player
            inventory
          type: string
        DurationInSeconds:
          description: >-
            The duration in seconds of the subscription to be granted to a
            player
          type: number
          x-actualtype: int32
        ItemId:
          description: The id of item to be granted to the player
          type: string
        StackId:
          description: >-
            The stack id for where the item will be granted in the player
            inventory
          type: string
    BanPlayerSegmentAction:
      type: object
      properties:
        BanHours:
          description: Ban hours duration.
          type: number
          x-actualtype: uint32
        ReasonForBan:
          description: Reason for ban.
          type: string
    DeleteInventoryItemsV2SegmentAction:
      type: object
      properties:
        CollectionId:
          description: >-
            The collection id for where the item will be removed from the player
            inventory
          type: string
        ItemId:
          description: The id of item to be removed from the player
          type: string
        StackId:
          description: >-
            The stack id for where the item will be removed from the player
            inventory
          type: string
    DeletePlayerSegmentAction:
      type: object
      properties: {}
    DeletePlayerStatisticSegmentAction:
      type: object
      properties:
        StatisticName:
          description: Statistic name.
          type: string
    EmailNotificationSegmentAction:
      type: object
      properties:
        EmailTemplateId:
          description: Email template id.
          type: string
        EmailTemplateName:
          description: Email template name.
          type: string
    ExecuteAzureFunctionSegmentAction:
      type: object
      properties:
        AzureFunction:
          description: Azure function.
          type: string
        FunctionParameter:
          description: Azure function parameter.
          type: object
        GenerateFunctionExecutedEvents:
          description: Generate play stream event.
          type: boolean
      required:
        - GenerateFunctionExecutedEvents
    ExecuteCloudScriptSegmentAction:
      type: object
      properties:
        CloudScriptFunction:
          description: Cloud script function.
          type: string
        CloudScriptPublishResultsToPlayStream:
          description: Generate play stream event.
          type: boolean
        FunctionParameter:
          description: Cloud script function parameter.
          type: object
        FunctionParameterJson:
          description: Cloud script function parameter json text.
          type: string
      required:
        - CloudScriptPublishResultsToPlayStream
    GrantItemSegmentAction:
      type: object
      properties:
        CatelogId:
          description: Item catalog id.
          type: string
        ItemId:
          description: Item id.
          type: string
        Quantity:
          description: Item quantity.
          type: number
          x-actualtype: uint32
      required:
        - Quantity
    GrantVirtualCurrencySegmentAction:
      type: object
      properties:
        Amount:
          description: Virtual currency amount.
          type: number
          x-actualtype: int32
        CurrencyCode:
          description: Virtual currency code.
          type: string
      required:
        - Amount
    IncrementPlayerStatisticSegmentAction:
      type: object
      properties:
        IncrementValue:
          description: Increment value.
          type: number
          x-actualtype: int32
        StatisticName:
          description: Statistic name.
          type: string
      required:
        - IncrementValue
    PushNotificationSegmentAction:
      type: object
      properties:
        PushNotificationTemplateId:
          description: Push notification template id.
          type: string
    SubtractInventoryItemsV2SegmentAction:
      type: object
      properties:
        Amount:
          description: Amount of the item to removed from the player
          type: number
          x-actualtype: int32
        CollectionId:
          description: >-
            The collection id for where the item will be removed from the player
            inventory
          type: string
        DurationInSeconds:
          description: >-
            The duration in seconds to be removed from the subscription in the
            players inventory
          type: number
          x-actualtype: int32
        ItemId:
          description: The id of item to be removed from the player
          type: string
        StackId:
          description: >-
            The stack id for where the item will be removed from the player
            inventory
          type: string
    SegmentAndDefinition:
      type: object
      properties:
        AdCampaignFilter:
          allOf:
            - $ref: '#/components/schemas/AdCampaignSegmentFilter'
          description: Filter property for ad campaign filter.
        AllPlayersFilter:
          allOf:
            - $ref: '#/components/schemas/AllPlayersSegmentFilter'
          description: property for all player filter.
        ChurnPredictionFilter:
          allOf:
            - $ref: '#/components/schemas/ChurnPredictionSegmentFilter'
          description: Filter property for player churn risk level.
        CustomPropertyBooleanFilter:
          allOf:
            - $ref: '#/components/schemas/CustomPropertyBooleanSegmentFilter'
          description: Filter property for boolean custom properties.
        CustomPropertyDateTimeFilter:
          allOf:
            - $ref: '#/components/schemas/CustomPropertyDateTimeSegmentFilter'
          description: Filter property for datetime custom properties.
        CustomPropertyNumericFilter:
          allOf:
            - $ref: '#/components/schemas/CustomPropertyNumericSegmentFilter'
          description: Filter property for numeric custom properties.
        CustomPropertyStringFilter:
          allOf:
            - $ref: '#/components/schemas/CustomPropertyStringSegmentFilter'
          description: Filter property for string custom properties.
        FirstLoginDateFilter:
          allOf:
            - $ref: '#/components/schemas/FirstLoginDateSegmentFilter'
          description: Filter property for first login date.
        FirstLoginFilter:
          allOf:
            - $ref: '#/components/schemas/FirstLoginTimespanSegmentFilter'
          description: Filter property for first login timespan.
        LastLoginDateFilter:
          allOf:
            - $ref: '#/components/schemas/LastLoginDateSegmentFilter'
          description: Filter property for last login date.
        LastLoginFilter:
          allOf:
            - $ref: '#/components/schemas/LastLoginTimespanSegmentFilter'
          description: Filter property for last login timespan.
        LinkedUserAccountFilter:
          allOf:
            - $ref: '#/components/schemas/LinkedUserAccountSegmentFilter'
          description: Filter property for linked in user account.
        LinkedUserAccountHasEmailFilter:
          allOf:
            - $ref: '#/components/schemas/LinkedUserAccountHasEmailSegmentFilter'
          description: Filter property for linked in user account has email.
        LocationFilter:
          allOf:
            - $ref: '#/components/schemas/LocationSegmentFilter'
          description: Filter property for location.
        PlayerChurnPredictionFilter:
          allOf:
            - $ref: '#/components/schemas/PlayerChurnPredictionSegmentFilter'
          description: Filter property for current player churn value.
        PlayerChurnPredictionTimeFilter:
          allOf:
            - $ref: '#/components/schemas/PlayerChurnPredictionTimeSegmentFilter'
          description: Filter property for player churn timespan.
        PlayerChurnPreviousPredictionFilter:
          allOf:
            - $ref: '#/components/schemas/PlayerChurnPreviousPredictionSegmentFilter'
          description: Filter property for previous player churn value.
        PushNotificationFilter:
          allOf:
            - $ref: '#/components/schemas/PushNotificationSegmentFilter'
          description: Filter property for push notification.
        StatisticFilter:
          allOf:
            - $ref: '#/components/schemas/StatisticSegmentFilter'
          description: Filter property for statistics.
        TagFilter:
          allOf:
            - $ref: '#/components/schemas/TagSegmentFilter'
          description: Filter property for tags.
        TotalValueToDateInUSDFilter:
          allOf:
            - $ref: '#/components/schemas/TotalValueToDateInUSDSegmentFilter'
          description: Filter property for total value to date in USD.
        UserOriginationFilter:
          allOf:
            - $ref: '#/components/schemas/UserOriginationSegmentFilter'
          description: Filter property for user origination.
        ValueToDateFilter:
          allOf:
            - $ref: '#/components/schemas/ValueToDateSegmentFilter'
          description: Filter property for value to date.
        VirtualCurrencyBalanceFilter:
          allOf:
            - $ref: '#/components/schemas/VirtualCurrencyBalanceSegmentFilter'
          description: Filter property for virtual currency.
    AdCampaignSegmentFilter:
      type: object
      properties:
        CampaignId:
          description: Campaign id.
          type: string
        CampaignSource:
          description: Campaign source.
          type: string
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Campaign comparison.
    AllPlayersSegmentFilter:
      type: object
      properties: {}
    ChurnPredictionSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Comparison
        RiskLevel:
          allOf:
            - $ref: '#/components/schemas/ChurnRiskLevel'
          description: RiskLevel
    CustomPropertyBooleanSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Custom property comparison.
        PropertyName:
          description: Custom property name.
          type: string
        PropertyValue:
          description: Custom property boolean value.
          type: boolean
      required:
        - PropertyValue
    CustomPropertyDateTimeSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Custom property comparison.
        PropertyName:
          description: Custom property name.
          type: string
        PropertyValue:
          description: Custom property datetime value.
          type: string
      required:
        - PropertyValue
    CustomPropertyNumericSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Custom property comparison.
        PropertyName:
          description: Custom property name.
          type: string
        PropertyValue:
          description: Custom property numeric value.
          type: number
          x-actualtype: double
      required:
        - PropertyValue
    CustomPropertyStringSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Custom property comparison.
        PropertyName:
          description: Custom property name.
          type: string
        PropertyValue:
          description: Custom property string value.
          type: string
    FirstLoginDateSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: First player login date comparison.
        LogInDate:
          description: First player login date.
          type: string
      required:
        - LogInDate
    FirstLoginTimespanSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: First player login duration comparison.
        DurationInMinutes:
          description: First player login duration.
          type: number
          x-actualtype: double
      required:
        - DurationInMinutes
    LastLoginDateSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Last player login date comparison.
        LogInDate:
          description: Last player login date.
          type: string
      required:
        - LogInDate
    LastLoginTimespanSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Last player login duration comparison.
        DurationInMinutes:
          description: Last player login duration.
          type: number
          x-actualtype: double
      required:
        - DurationInMinutes
    LinkedUserAccountSegmentFilter:
      type: object
      properties:
        LoginProvider:
          allOf:
            - $ref: '#/components/schemas/SegmentLoginIdentityProvider'
          description: Login provider.
    LinkedUserAccountHasEmailSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Login provider comparison.
        LoginProvider:
          allOf:
            - $ref: '#/components/schemas/SegmentLoginIdentityProvider'
          description: Login provider.
    LocationSegmentFilter:
      type: object
      properties:
        CountryCode:
          allOf:
            - $ref: '#/components/schemas/SegmentCountryCode'
          description: Segment country code.
    PlayerChurnPredictionSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Comparison
        RiskLevel:
          allOf:
            - $ref: '#/components/schemas/ChurnRiskLevel'
          description: RiskLevel
    PlayerChurnPredictionTimeSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Comparison
        DurationInDays:
          description: DurationInDays
          type: number
          x-actualtype: double
      required:
        - DurationInDays
    PlayerChurnPreviousPredictionSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Comparison
        RiskLevel:
          allOf:
            - $ref: '#/components/schemas/ChurnRiskLevel'
          description: RiskLevel
    PushNotificationSegmentFilter:
      type: object
      properties:
        PushNotificationDevicePlatform:
          allOf:
            - $ref: '#/components/schemas/SegmentPushNotificationDevicePlatform'
          description: Push notification device platform.
    StatisticSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Statistic filter comparison.
        FilterValue:
          description: Statistic filter value.
          type: string
        Name:
          description: Statistic name.
          type: string
        UseCurrentVersion:
          description: Use current version of statistic?
          type: boolean
        Version:
          description: Statistic version.
          type: number
          x-actualtype: int32
    TagSegmentFilter:
      type: object
      properties:
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Tag comparison.
        TagValue:
          description: Tag value.
          type: string
    TotalValueToDateInUSDSegmentFilter:
      type: object
      properties:
        Amount:
          description: Total value to date USD amount.
          type: string
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Total value to date USD comparison.
    UserOriginationSegmentFilter:
      type: object
      properties:
        LoginProvider:
          allOf:
            - $ref: '#/components/schemas/SegmentLoginIdentityProvider'
          description: User login provider.
    ValueToDateSegmentFilter:
      type: object
      properties:
        Amount:
          description: Value to date amount.
          type: string
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Value to date comparison.
        Currency:
          allOf:
            - $ref: '#/components/schemas/SegmentCurrency'
          description: Currency using for filter.
    VirtualCurrencyBalanceSegmentFilter:
      type: object
      properties:
        Amount:
          description: Total amount.
          type: number
          x-actualtype: int32
        Comparison:
          allOf:
            - $ref: '#/components/schemas/SegmentFilterComparison'
          description: Amount comparison.
        CurrencyCode:
          description: Currency code.
          type: string
      required:
        - Amount
    SegmentFilterComparison:
      type: string
      enum:
        - GreaterThan
        - LessThan
        - EqualTo
        - NotEqualTo
        - GreaterThanOrEqual
        - LessThanOrEqual
        - Exists
        - Contains
        - NotContains
    ChurnRiskLevel:
      type: string
      enum:
        - NoData
        - LowRisk
        - MediumRisk
        - HighRisk
    SegmentLoginIdentityProvider:
      type: string
      enum:
        - Unknown
        - PlayFab
        - Custom
        - GameCenter
        - GooglePlay
        - Steam
        - XBoxLive
        - PSN
        - Kongregate
        - Facebook
        - IOSDevice
        - AndroidDevice
        - Twitch
        - WindowsHello
        - GameServer
        - CustomServer
        - NintendoSwitch
        - FacebookInstantGames
        - OpenIdConnect
        - Apple
        - NintendoSwitchAccount
        - GooglePlayGames
    SegmentCountryCode:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - KH
        - CM
        - CA
        - CV
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MK
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SZ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
    SegmentPushNotificationDevicePlatform:
      type: string
      enum:
        - ApplePushNotificationService
        - GoogleCloudMessaging
    SegmentCurrency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYR
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - IMP
        - INR
        - IQD
        - IRR
        - ISK
        - JEP
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRO
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SPL
        - SRD
        - STD
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TVD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XDR
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
        - ZWD
  responses:
    UpdateSegmentResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/UpdateSegmentResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Update Segment](/services/playfab/api-references/rest/admin/segments/update-segment.md)
- [Advanced Segmentation with Player Custom Properties](/services/playfab/live-service-management/game-configuration/segmentation/advanced-segmentation.md)
- [SegmentOperation](/services/playfab/api-references/events/data-types/segmentoperation.md)
- [Content updates with MSIXVC2](/build/core-features/common/packaging/packaging-updates-msixvc2.md)
- [Get Segments](/api-reference/segments/get-segments.md)
